import { type CommandLineOptions, type OptionDefinition } from 'command-line-args';
export type ModeAction = (argv: string[]) => void | Promise<void>;
export type ActionModule = {
    action: ModeAction;
};
export type ActionTable<T extends string> = Record<T, ActionModule>;
export declare function isHelpArgs(argv: string[]): boolean;
export declare function findMainCommandNameAndArgs(argv: string[]): [string | null, string[]];
export type CommandAndArgs<T> = {
    needHelp: false;
    command: T;
    argv: string[];
};
export type CommandAndArgsHelp = {
    needHelp: true;
    command: string | null;
};
export type CommandAndArgsResult<T> = CommandAndArgs<T> | CommandAndArgsHelp;
export declare function getCommandAndArgs<T extends string>(argv: string[], actions: ActionTable<T>): CommandAndArgsResult<T>;
export type CommandLineParsed = {
    needHelp: false;
    commandLineOptions: CommandLineOptions;
};
export type CommandLineHelp = {
    needHelp: true;
    error: Error | null;
};
export type CommandLineResult = CommandLineParsed | CommandLineHelp;
export declare function parseCommandLine(argv: string[], optionDefinitions: OptionDefinition[]): CommandLineResult;
//# sourceMappingURL=args.d.ts.map