import { type CollectionNameSelectorResult, type RequestCollectionNameSelector } from './request-collection-selector.js';
export type CookieCollectionSelectorOpts = {
    cookieName: string;
    activatePath: string;
    resetPath: string;
    cookieHttpOnly: boolean;
    cookieMaxAge: number | undefined;
    cookiePath: string;
};
export declare class CookieCollectionSelector implements RequestCollectionNameSelector {
    constructor();
    constructor(cookieName: string);
    constructor(opts: Partial<CookieCollectionSelectorOpts>);
    opts: CookieCollectionSelectorOpts;
    getCollectionName(request: Request): CollectionNameSelectorResult;
    applySelector(request: Request): Response | null;
}
export interface FromCookieResult {
    collectionName: CollectionNameSelectorResult;
    redirectResponse: Response | null;
}
export declare function fromCookie(request: Request, optsOrCookieName?: string | CookieCollectionSelectorOpts): FromCookieResult;
//# sourceMappingURL=from-cookie.d.ts.map