/*
 * Copyright Fastly, Inc.
 * Licensed under the MIT license. See LICENSE file for details.
 */
export class RequestCollectionNameFuncSelector {
    constructor(func) {
        this.func = func;
    }
    getCollectionName(request) {
        return this.func(request);
    }
}
export function fromRequest(request, func) {
    const selector = new RequestCollectionNameFuncSelector(func);
    return selector.getCollectionName(request);
}
export function fromRequestUrl(request, func) {
    return fromRequest(request, (req) => func(new URL(req.url)));
}
export function fromHostDomain(request, hostRegex) {
    return fromRequestUrl(request, (url) => url.host.match(hostRegex)?.[1] ?? null);
}
